<h1>WPSSO Ratings and Reviews / Replies with Schema Aggregate Ratings</h1><h3>Supports WooCommerce</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Ratings and Reviews</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO Core add-on to provide ratings and reviews for WordPress comments with Aggregate Rating meta tags, and optional Schema Review markup.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.4.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.8</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.9.8</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>star rating, aggregate rating, review, google, schema, comment, knowledge graph, product rating, product review, meta tags, schema review, schema markup, woocommerce</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso-ratings-and-reviews/assets/icon-256x256.png"></p>

<p><strong>Extends the WordPress comment system with ratings and reviews:</strong></p>

<ul>
<li><p>Star ratings can be enabled/disabled by post type or individual post.</p></li>
<li><p>A rating value can be required (or not) before reviews are accepted.</p></li>
<li><p>The review form is correctly labeled as a "Review".</p></li>
<li><p>The review reply form is correctly labeled as a "Reply".</p></li>
<li><p>The color of star ratings can be customized from the settings page.</p></li>
</ul>

<p><strong>Does not conflict with WooCommerce ratings and reviews:</strong></p>

<p>The <a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a> plugin settings are checked, and if WooCommerce product reviews are enabled (or the <a href="https://wordpress.org/plugins/yotpo-social-reviews-for-woocommerce/">Yotpo Reviews for Woocommerce</a> plugin is active), the original WooCommerce product review feature is left as-is.</p>

<p><strong>Provides <a href="https://schema.org/aggregateRating">Schema Aggregate Rating</a> meta tags and JSON-LD markup:</strong></p>

<p>Google reads aggregate rating meta tags (or the optional Schema JSON-LD markup) to add star ratings to search results (<a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/">WPSSO JSON Pro add-on</a> required for JSON-LD markup). WooCommerce product ratings and reviews are also included in the aggregate rating meta tags and JSON-LD markup.</p>

<p><strong>Includes complete <a href="https://schema.org/Review">Schema Review</a> as optional JSON-LD markup:</strong></p>

<p>Including information about the review (author name, creation time, excerpt, rating), along with the threaded replies / comments for each review (<a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/">WPSSO JSON Pro add-on</a> required for JSON-LD markup).</p>

<h3>No templates to modify or update!</h3>

<p>Simply activate / deactivate the plugin to enable / disable the addition of ratings and reviews.</p>

<h3>WPSSO Core Plugin Prerequisite</h3>

<p>WPSSO Ratings and Reviews (aka WPSSO RAR) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core Plugin</a> (Free or Pro version).</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/install-the-plugin/">Install the WPSSO RAR Add-on</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/installation/uninstall-the-plugin/">Uninstall the WPSSO RAR Add-on</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li>None.</li>
</ul>

<h3>Documentation and Notes</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-ratings-and-reviews/notes/developer/get-average-rating/">Get Average Rating</a></li>
</ul></li>
</ul>


